<%@ page language="java" contentType="text/html; charset=UTF-8"
pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
<%@ page session="true" %>

<% request.setCharacterEncoding("utf-8");%>

<%	String id = request.getParameter("id");
	String passwd = request.getParameter("passwd");
	String str="";

	try{
		Class.forName("oracle.jdbc.driver.OracleDriver");
		Connection conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20182263","980629");
		PreparedStatement pstmt=conn.prepareStatement("select * from member_1");
	    ResultSet rs= pstmt.executeQuery();
	    while(rs.next()){
	    	if (id.equals(rs.getString("id")) && passwd.equals(rs.getString( "password"))) {
	          	session.setAttribute("id",id); // session.setAttribute(세션이름, 값);
	    		session.setAttribute("passwd",passwd);
	    		response.sendRedirect("MainPage2.jsp");
	    	} else {
	    		str="실패했습니다. 회원인지 다시 확인해 주세요";
	    	}}}catch(Exception e){
	    		e.printStackTrace();
	    	}
%>
<html>
<head>
<title>레코드 추가</title>
</head>
<body>
  <%=str %>  <p>
     
</body>
</html>